%define	name	crystalspace
%define version 1.2
%define release %mkrel 1

Summary:	CrystalSpace free 3d engine
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	LGPL
Source0:	%{name}-src-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://crystal.sourceforge.net/
BuildRequires:	lib3ds-devel >= 1.3.0 MesaGLU-devel oggvorbis-devel libmikmod-devel cal3d-devel
BuildRequires:	jpeg-devel zlib-devel ode-devel png-devel openal-devel >= 0.0.6-5mdk
BuildRequires:	mng-devel arts-devel X11-devel nasm perl-devel wxGTK2.8-devel
BuildRequires:	swig >= 1.3.14 bison >= 1.35 python-devel jam

%description
Crystal Space is a free (LGPL) and portable 3D Development Kit
written in C++. It supports: true six degree's of freedom,
colored lighting, mipmapping, portals, mirrors, alpha transparency,
reflective surfaces, 3D sprites (frame based or with skeletal animation),
procedural textures, radiosity, particle systems, halos, volumetric fog,
scripting (using Python or other languages), 8-bit, 16-bit, and 32-bit
display support, OpenGL and software renderering, font support,
hierarchical transformations, etc.

%package	devel
Group:		Development/C
Summary:	Development headers and libraries for %{name}
Requires:	%{name} = %{version}

%description	devel
Development headers and libraries for %{name}

%package	doc
Summary:	Crystalspace documentation
Group:		Development/C
License:	LGPL
Requires:	%{name} = %{version}
Conflicts:      freetds-devel

%description	doc
Crystalspace documentation

%package	demos
Summary:	Crystalspace demos
Group:		Toys
License:	LGPL
Requires:	%{name} = %{version}

%description	demos
Crystalspace demos.

%prep
%setup -q -n %{name}-src-%{version}

%build
%configure2_5x	--with-mesa \
		--with-x \
		--disable-cpu-specific-instructions \
		--enable-linux-joystick \
		--enable-optimize \
		--disable-debug \
		--disable-separate-debug-info \
		--with-pic \
		--with-gnu-ld \
		--enable-mode=optimize \
		--enable-plugins \
		--with-wx
jam -d2 %{_smp_mflags}

%install
rm -rf %{buildroot}
DESTDIR=%{buildroot} jam -d2 install

install -m644 mk/autoconf/crystal.m4 -D %{buildroot}%{_datadir}/aclocal/crystal.m4

sed -i -e "s#/lib/#/%{_lib}/#g" %{buildroot}%{_bindir}/cs-config

#multiarch
%multiarch_binaries %{buildroot}%{_bindir}/cs-config

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,755)
%dir %{_libdir}/%{name}-%{version}
%{_libdir}/%{name}-%{version}/*.so
%{_datadir}/%{name}-%{version}
%dir %{_sysconfdir}/%{name}-%{version}
%config(noreplace) %{_sysconfdir}/%{name}-%{version}/*

%files devel
%defattr(-,root,root,755)
%{_libdir}/*.a
%{_includedir}/*
%{_datadir}/aclocal/crystal.m4
%{_bindir}/cs-config
%multiarch %{multiarch_bindir}/cs-config

%files doc
%defattr(-,root,root,755)
%doc %{_docdir}/%{name}-%{version}

%files demos
%defattr(-,root,root,755)
%{_bindir}/*
%exclude %{_bindir}/cs-config
%exclude %{multiarch_bindir}




%changelog
* Wed Dec 26 2007 Emmanuel Andry <eandry@mandriva.org> 1.2-1mdv2008.1
+ Revision: 137963
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Feb 21 2007 Lenny Cartier <lenny@mandriva.com> 1.0.1-1mdv2007.0
+ Revision: 123805
- Update to 1.0.1

* Thu Jan 25 2007 Emmanuel Andry <eandry@mandriva.org> 1.0-5mdv2007.1
+ Revision: 113065
- build against wxGTK2.8

* Mon Jan 22 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-4mdv2007.1
+ Revision: 111630
- bump to rebuild against new ode

* Sun Jan 21 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-3mdv2007.1
+ Revision: 111403
- bump
- let rpm take care of stripping debug symbols
  lib64 fix for cs-config
  clean out old junk

* Thu Jan 18 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-2mdv2007.1
+ Revision: 110220
- build with wx support
- update to 1.0 final

  + Pascal Terjan <pterjan@mandriva.org>
    - 1.0rc1
    - add patch from svn to build with gcc 4.1
    - buildrequires jam
    - Import crystalspace

* Wed Mar 09 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99-0.cvs20050308.2mdk
- versioned requires for devel package
- multiarch

* Tue Mar 08 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99-0.cvs20050308.1mdk
- new cvs snapshot

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.97-0.cvs20040615.3mdk
- Rebuild for new python

* Mon Jul 19 2004 Michael Scherer <misc@mandrake.org> 0.97-0.cvs20040615.2mdk 
- add the proper Conflict

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.97-0.cvs20040615.1mdk
- new cvs snapshot
- switch to jam
- clean up files

